Subject: devel-digest V2 #190
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest           Monday, June 7 1999           Volume 02 : Number 190

In this issue:

    floatlib.c
    Re: floatlib.c

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: 6 Jun 1999 16:41:33 GMT
From: "Andrew Coles" <[email-masked]>
Subject: floatlib.c

Hi.

I am running NetBSD on a StrongARM machine here, and I was thinking about
doing some work on the soft-float library in egcs (gcc/floatlib.c). I have
a few questions

1) Would any code I write be portable to the Netwinder? IMHO inlined
assembler in C should be ok (__asm__ etc.) but maybe any .s files might
need changing.

2) Has anyone worked on this already for the Netwinder?

Thanks for any information

Andrew
- ------

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 6 Jun 1999 19:27:11 +0100
From: "Philip Blundell,,," <[email-masked]>
Subject: Re: floatlib.c

In article <01beb03b$33f97ca0$9e82a6c3@a> you write:
>I am running NetBSD on a StrongARM machine here, and I was thinking about
>doing some work on the soft-float library in egcs (gcc/floatlib.c). I have
>a few questions
>
>1) Would any code I write be portable to the Netwinder? IMHO inlined
>assembler in C should be ok (__asm__ etc.) but maybe any .s files might
>need changing.
>
>2) Has anyone worked on this already for the Netwinder?

In general yes, pretty much anything that works on NetBSD/arm32 will
also work on the NetWinder.  The original soft-float library that we
had for ARM Linux was based on Neil Carson's port of SoftFloat to
NetBSD.

What work are you planning to do, exactly?  The SoftFloat-based
library might be a better place to spend your efforts; last time I
looked at the various bits of FP emulation provided with gcc
(floatlib, fp-bit and so on) I don't think they provided full IEEE
semantics.

p.
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #190
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.